Subject: Re: immap with 8xx.

From: Dan Malek <[email-masked]>
Date: Tue, 29 Nov 2005 13:13:33 -0500

On Nov 29, 2005, at 9:39 AM, Ingo Hornberger wrote:

> But it seems that there was some generalization work done, which didn't
> reach the 8xx part. Particularly this means that some parts of
> 'asm/commproc.h' as well as (at least) 'asm/immap_8260.h' built up a 
> new
> header 'asm/immap_cpm2.h'.

That's because the cpm2 is used in more parts than just the 82xx,
so we carved up the files to make it more useful.

> Actally I miss a file like 'asm/immap_cpm1.h'.

The 8xx is the only processor to use the CPM1, so just update
the immap or 8xx files to accommodate the differences you may
need.  There isn't a similar requirement to create a immap_cpm1.h
file like there was for the CPM2.  What kind of updates do you need?

Thanks.

	-- Dan